# $Revision: 1.2 $, $Date: 2008/10/18 16:53:14 $
%define		_modname	funcall
%define		_status		stable
Summary:	%{_modname} - Add callbacks for any function/method
Summary(pl.UTF-8):	%{_modname} - odwołania dla dowolnej funkcji / metody
Name:		php-pecl-%{_modname}
Version:	0.2.3
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	807d807ebce8d610805c85190e388c1b
URL:		http://pecl.php.net/package/funcall/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Call callbacks before or after specified functions/methods being
called.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Rozszerzenie to pozwala na wykonywanie odwołań przed lub po wywołaniu
określonej funkcji / metody.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{TODO,funcall.php}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-funcall.spec,v $
Revision 1.2  2008/10/18 16:53:14  adamg
- updated to 0.2.3

Revision 1.1  2008/09/12 15:09:50  adamg
- new

